php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #23391 Caanot run under Windows 95
Submitted: 2003-04-28 17:47 UTC Modified: 2003-04-29 13:38 UTC
Votes:7
Avg. Score:4.6 ± 0.7
Reproduced:6 of 6 (100.0%)
Same Version:6 (100.0%)
Same OS:4 (66.7%)
From: miloslav at ponkrac dot net Assigned:
Status: Wont fix Package: Compile Failure
PHP Version: 4.3.1 OS: Windows 95
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: miloslav at ponkrac dot net
New email:
PHP Version: OS:

 

 [2003-04-28 17:47 UTC] miloslav at ponkrac dot net
PHP version 4.3.1 can't run under Windows 95. Missing export function CancelIo in kernel32.dll.

I think it's important to run PHP to all 32/bit versions of Windows. I use PHP to wide activities such us batch scripts written in PHP language. After downloading PHP 4.3.1 in binary version I can't run under Windows 95.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-04-28 18:04 UTC] wez@php.net
Windows 95 is no longer supported.
 [2003-04-28 18:20 UTC] miloslav at ponkrac dot net
Why Windows 95 not supported? 

Why PHP team make PHP unusable for this OS?

I will be search replacement by PHP if PHP will not run under Windows 95. I wanna help in PHP expanding but I can't project application if I can't use project under Windows 95.
 [2003-04-28 18:29 UTC] momo@php.net
indeed, u welcome adding the missing support...
 [2003-04-28 18:38 UTC] wez@php.net
If you can supply a patch to correct this, we will review it and most likely apply it.

However, we are not planning to spend time on support for win95 - an OS that is no longer supported by its vendor and one that is not suitable for use as a server platform.

 [2003-04-29 01:55 UTC] miloslav at ponkrac dot net
However, we are not planning to spend time on support for win95 - an OS that is no longer supported by its vendor and one that is not suitable for use as a server platform.

PHP is not determined for server platform. PHP is not server application, PHP is only scripting language. PHP needn't server environment. If PHP is suitable only for server platform then something is bad...

Win95 is not officialy supported but I can download service packs for this OS, sometimes new version of libraries etc.. Some clients using Windows 95.

By the way, latest version of Apache works on Windows 95, latest version of MySQL works on Windows 95. If PHP will not use CancelIo then will work on Windows 95 too.
 [2003-04-29 13:05 UTC] pollita@php.net
*old* patches [for Windows 95] are still available.  New ones will not be comming out.  Microsoft officially stopped supporting this platform at the end of 2001, and declared it dead "End of Life" at the end of 2002.

http://www.microsoft.com/windows/lifecycle.mspx

As wez said, there's no reason to sacrifice performance to support a platform that's been abandoned by its own vendor.
 [2003-04-29 13:25 UTC] miloslav at ponkrac dot net
Apache is true server, MySQLd is true server. Both support still Windows 95 without power decreasing. Without "requirement true server OS".

PHP is not server application and PHP need more luxus environment.

I think substitutions CancelIo function by equivalent is not so big problem. After this action will maybe PHP run under Windows 95 without lossing performace.

As you said there's no reason to sacrifice performance to support by Windows 95.
 [2003-04-29 13:35 UTC] pollita@php.net
It's not a big problem to replace the CancelIO call with something supported by Win95? Great news!

I'll expect your patch any day now.
 [2003-04-29 13:38 UTC] wez@php.net
CancelIo is *only* used in the FastCGI *server* implementation.

Since you are not even planning to use PHP in a server context, why not use the *cli* version of PHP that is designed for this purpose - you can find it in the cli dir of the official win32 distributions.

We are not going to hack support for w95 into the FastCGI library.

Either use the right SAPI for the task at hand, submit a working patch for FastCGI that does not compromise the implementation or hold your tongue. 
 [2004-08-09 13:55 UTC] DaK_studio at rambler dot ru
Hellow!
I havn't time be on my server, but need to rebuilding script on PHP(4.3.4), and now meeting this problem.
Afte I read all comment of this, I see problem for me:
Win-98 on My Pentium-90 on Laptop - it's death for him,or stay on PHP older version, but many functions is changed.
I find latst Updute Dcom95- but it's not helped.
Dear PHP group creator, i understend-Ypur don't wont samthing do for this problem, but may-be Your collectives BRAIN find and realisating samthig for this bugs! (Sorry of English).
Thanks
P.S.If can-ansver me by e-mail!
 
PHP Copyright © 2001-2017 The PHP Group
All rights reserved.
Last updated: Sun Nov 19 01:31:42 2017 UTC